@echo off
rem -------------------------------------------------------------------------
rem JBoss Bootstrap Script for Win32
rem -------------------------------------------------------------------------

rem $Id: scanfi.bat,v 1.5 2005/06/30 15:20:24 ramanathank Exp $

@if not "%ECHO%" == ""  echo %ECHO%
@if "%OS%" == "Windows_NT"  setlocal

set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%
set PROGNAME=run.bat
if "%OS%" == "Windows_NT" set PROGNAME=%~nx0%

for /F %%v in ('echo %1^|findstr "^start$ ^stop$ ^reinit$ ^install$ ^remove$"') do call :exec set COMMAND=%%v

if "%COMMAND%" == "" (
	echo --------------------------------------------------------------------------------- 
    echo Usage: %0 { start : stop : reinit : install : remove } 	 
	echo  		start : Start the ScanFi server.
	echo  		stop : Stop the ScanFi server previously started.
	echo 		reinit : Reinitializes the ScanFi Server database.
	echo 		install : Install the ScanFi server as a windows service.
	echo 		remove : Remove the previously installed ScanFi service.
	echo --------------------------------------------------------------------------------- 
    pause
    goto :eof
) else (
    shift
)

rem
rem Run the application.
rem At runtime, the current directory will be that of Wrapper.exe
rem
call :%COMMAND%
if errorlevel 1 pause
goto :eof

:start
rem Read all command line arguments

rem set the common environment properties
call ..\scripts\setcommonenv.bat

call ..\scripts\unpack.bat


REM
REM The %ARGS% env variable commented out in favor of using %* to include
REM all args in java command line. See bug #840239. [jpl]
REM
REM set ARGS=
REM :loop
REM if [%1] == [] goto endloop
REM        set ARGS=%ARGS% %1
REM        shift
REM        goto loop
REM :endloop

rem Find run.jar, or we can't continue

set RUNJAR=%DIRNAME%\..\scripts\run.jar
if exist "%RUNJAR%" goto FOUND_RUN_JAR
echo Could not locate %RUNJAR%. Please check that you are in the
echo bin directory when running this script.
goto END

:FOUND_RUN_JAR

rem Compress the extracted folder.
rem If it is already compressed leave this step

if NOT EXIST %HOME_DIR%\applications\AdventNetNetVAX.eear ( 
	%JAVA_HOME%\bin\java -cp %HOME_DIR%\tools\netvaxutils.jar;. com.adventnet.netvax.JarCompressor
	rmdir /s /q %HOME_DIR%\applications\extracted
)
rem Successfully compressed

rem Check whether the ports are available or not

%JAVA_HOME%\bin\java -cp %HOME_DIR%\tools\netvaxutils.jar;. com.adventnet.netvax.InstallUtils %HOME_DIR%\server\default\conf\sample-bindings.xml %HOME_DIR%\server\default\deploy\mysql-ds.xml

rem Checked Successfully.


if not "%JAVA_HOME%" == "" goto ADD_TOOLS

set JAVA=java

echo JAVA_HOME is not set.  Unexpected results may occur.
echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
goto SKIP_TOOLS

:ADD_TOOLS

set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA_HOME%\lib\tools.jar" goto SKIP_TOOLS
rem echo Could not locate %JAVA_HOME%\lib\tools.jar. Unexpected results may occur.
rem echo Make sure that JAVA_HOME points to a JDK and not a JRE.

:SKIP_TOOLS

rem Include the JDK javac compiler for JSP pages. The default is for a Sun JDK
rem compatible distribution to which JAVA_HOME points

set JAVAC_JAR=%JAVA_HOME%\lib\tools.jar

rem If JBOSS_CLASSPATH is empty, don't include it, as this will
rem result in including the local directory, which makes error tracking
rem harder.
if "%JBOSS_CLASSPATH%" == "" (
      set JBOSS_CLASSPATH=%JAVAC_JAR%;%RUNJAR%
) ELSE (
      set JBOSS_CLASSPATH=%JBOSS_CLASSPATH%;%JAVAC_JAR%;%RUNJAR%
)


rem Setup JBoss specific properties
set JAVA_OPTS=%JAVA_OPTS% -Dprogram.name=%PROGNAME% -Djboss.server.type=com.adventnet.j2ee.deployment.system.AdventNetServerImpl -Djboss.boot.library.list=log4j-boot.jar,jboss-common.jar,jboss-system.jar,AdventNetDeploymentSystem.jar,commons-logging.jar
set JBOSS_HOME=%DIRNAME%\..
set ARGS=%ARGS% -LAdventNetDeploymentSystem.jar

rem Sun JVM memory allocation pool parameters. Uncomment and modify as appropriate.
set JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx256m

rem JPDA options. Uncomment and modify as appropriate to enable remote debugging.
rem set JAVA_OPTS=-classic -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=y %JAVA_OPTS%

rem ################# For DB support ################
set JAVA_OPTS=%JAVA_OPTS% -Ddb.home=%DB_HOME%


rem ########## For shutdown script to work, when bind address is given as 127.0.0.1 in 
rem ##sample-bindings.xml
set JAVA_OPTS=%JAVA_OPTS% -Djava.rmi.server.hostname=localhost

rem ##################  For 1.4 Logging support  ##########

set JAVA_OPTS=%JAVA_OPTS% -Dorg.jboss.logging.Log4jService.catchSystemOut=false -Dorg.jboss.logging.Log4jService.catchSystemErr=false -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file="%JBOSS_HOME%\server\default\conf\logging.xml" -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir="%JBOSS_HOME%\server\default" -Djava.library.path="%JBOSS_HOME%\lib\native"


set path=%path%;%JBOSS_HOME%\lib\native

set JBOSS_CLASSPATH=%JBOSS_CLASSPATH%;%JBOSS_HOME%\lib\AdventNetLogging.jar;%JBOSS_HOME%\lib\AdventNetNPrevalent.jar;%JBOSS_HOME%\lib


rem rem #######################################################

rem  tier properties
set JAVA_OPTS=%JAVA_OPTS% -Dtier-type=BE -Dtier-id=BE1

echo ===============================================================================
echo .
echo   JBoss Bootstrap Environment
echo .
echo   JBOSS_HOME: %JBOSS_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo   CLASSPATH: %JBOSS_CLASSPATH%
echo .
echo ===============================================================================
echo .
echo Server startup in progress. Please wait....
echo .

set NMS_TOOLS_CLASS_PATH=%JBOSS_HOME%\tools\utils.jar
%JAVA% -cp "%NMS_TOOLS_CLASS_PATH%" com.adventnet.tools.utils.JDKCheckUtility
if %errorlevel% NEQ 0 goto END_NO_PAUSE
    
:RESTART
"%JAVA%" %JAVA_OPTS% -classpath "%JBOSS_CLASSPATH%" org.jboss.Main %ARGS% %*
IF ERRORLEVEL 10 GOTO RESTART

:END
if "%NOPAUSE%" == "" pause

:END_NO_PAUSE
goto :eof

:stop
call .\..\scripts\shutdown.bat
goto :eof

:install
rem set the common environment properties
call ..\scripts\setcommonenv.bat
call ..\scripts\unpack.bat
rem Compress the extracted folder.
rem If it is already compressed leave this step

if NOT EXIST %HOME_DIR%\applications\AdventNetNetVAX.eear ( 
	%JAVA_HOME%\bin\java -cp %HOME_DIR%\tools\netvaxutils.jar;. com.adventnet.netvax.JarCompressor
	rmdir /s /q %HOME_DIR%\applications\extracted
)
rem Successfully compressed

rem Check whether the ports are available or not

%JAVA_HOME%\bin\java -cp %HOME_DIR%\tools\netvaxutils.jar;. com.adventnet.netvax.InstallUtils %HOME_DIR%\server\default\conf\sample-bindings.xml %HOME_DIR%\server\default\deploy\mysql-ds.xml

rem Checked Successfully.

call wrapper -i ..\server\default\conf\wrapper.conf
pause
goto :eof

:remove
call wrapper -r ..\server\default\conf\wrapper.conf
pause
goto :eof

:reinit
call .\..\scripts\reinitializeDB.bat
goto :eof

:exec
%*
goto :eof
